EDIT - feature request #9002

Find suitable symbols for excluded, unplaced, placement doubtful
05/06/2020 11:24 AM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

for TaxonNodes (... and maybe also for doubtful, status unknown and published from Taxon(Base) ).

These symbols should be suitable for Dataportal and TaxEditor.

Preferably these symbols should be UTF8-based. For this we need to solve how to handle UTF8 symbols in TaxEditor-Navigator
first.

As long as UTF8 does not work the current symbols (?, ??, @) should be used also in data portal.

The publish Flag is only relevant for TaxEditor as unpublished data should not appear in the data portal.

Related issues:

Related to EDIT - feature request #9005: Make the TaxonNode flags alternative... Closed
Related to EDIT - feature request #9042: EnumTerm symbol and message in web s... New
Related to EDIT - feature request #10096: Add new TaxonNode status and make n... Closed
Related to EDIT - feature request #9010: Display taxon node status excluded, ... Closed
Has duplicate EDIT - feature request #9003: Find suitable symbols for exclude... Duplicate

Associated revisions

Revision 9ab63b7f - 05/28/2020 01:02 PM - Andreas Miiller
ref #9002 Add symbols to TaxonNodeStatus

Revision 309c12be - 05/28/2020 02:28 PM - Andreas Miiller
ref #9002, ref #9005 use getSymbol() for TaxonNode.status in TaxEditor

History

#1 - 05/06/2020 11:25 AM - Andreas Miiller
- Related to feature request #9003: Find suitable symbols for excluded, unplaced, placement doubtful (dataportal) added

#2 - 05/06/2020 11:35 AM - Andreas Miiller

- Description updated

#3 - 05/28/2020 01:05 PM - Andreas Miiller
| added getSymbol() to TaxonNodeStatus

#4 - 05/28/2020 01:06 PM - Andreas Miuller

- Related to feature request #9005: Make the TaxonNode flags alternatives and change excluded notes to status notes added

#5 - 05/28/2020 03:08 PM - Andreas Kohlbecker

- Related to feature request #9042: EnumTerm symbol and message in web service response added

#6 - 05/28/2020 03:18 PM - Andreas Kohlbecker

Andreas Muller wrote:

| added getSymbol() to TaxonNodeStatus
Woudn't it make sense adding getSymbol() to IKeyTerm ?

#7 - 05/28/2020 10:07 PM - Andreas Miiller
- Related to deleted (feature request #9003: Find suitable symbols for excluded, unplaced, placement doubtful (dataportal))

#8 - 05/28/2020 10:08 PM - Andreas Miiller
- Has duplicate feature request #9003: Find suitable symbols for excluded, unplaced, placement doubtful (dataportal) added

#9 - 05/28/2020 10:14 PM - Andreas Miuller

Symbol is now handled in cdmlib, however we still want to find better symbols and a way how to show them in TaxEditor. Especially we need a
symbol for placement doubtful which differs from taxon status doubtful.

#10 - 05/28/2020 10:18 PM - Andreas Miiller
Andreas Kohlbecker wrote:

Andreas Muller wrote:

| added getSymbol() to TaxonNodeStatus

Woudn't it make sense adding getSymbol() to IKeyTerm ?

Until now we need symbols only for very few EnumTerms. Maybe we should better add a new interface IHasSymbol to mark all IEnumTerms for
which symbols are needed.

#11 - 06/23/2020 01:51 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#12 - 12/04/2020 09:06 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#13 - 12/08/2020 12:55 PM - Andreas Miiller
WGB:

die Lésung fiir dieses Ticket hangt von der breiteren Diskussion dieser Kategorien und ihrer Verbindung mit den sec.- bzw. placement-Referenzen
ab. Ich weil3 aber nicht, welches Ticket das ist bzw. ob das schon eins ist.

#14 - 01/27/2021 04:43 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#15 - 03/10/2021 02:47 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#16 - 03/10/2021 05:22 PM - Andreas Miiller
WGB:

dazu die Ergéanzung, dass dies erst dann angegangen werden sollte, wenn die mit dem Placement vs. Secundum verbundenen Fragen geklart sind.

#17 - 04/19/2021 05:18 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46

#18 - 07/26/2022 11:13 AM - Andreas Muller

- Related to feature request #10096: Add new TaxonNode status and make notes field more general added
#19 - 07/26/2022 11:14 AM - Andreas Miiller

- Related to feature request #9010: Display taxon node status excluded, unplaced, placement doubtful on taxon page and taxon tree and show taxon
node status note and taxon node source on taxon page added
